# Class: ArrowSpacing

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/arrow_spacing.coffee

## Variables Summary

rule =

      {
        name: 'arrow_spacing',
        level: 'ignore',
        message: 'Function arrow (->) must be spaced properly',
        description: "<p>This rule checks to see that there is spacing before and after\nthe arrow operator that declares a function. This rule is disabled\nby default.</p> <p>Note that if arrow_spacing is enabled, and you\npass an empty function as a parameter, arrow_spacing will accept\neither a space or no space in-between the arrow operator and the\nparenthesis</p>\n<pre><code># Both of this will not trigger an error,\nx(-> 3)\nx( -> 3)\n\nx((a,b)-> 3)\n</code>\n</pre>"
      }

tokens =

      ['->']

## Instance Method Summary

- # (void) lintToken(token, tokenApi)
- # (void) atEof(tokenApi) Are there any more meaningful tokens following the current one?

## Instance Method Details

# (void) lintToken(token, tokenApi)

# (void) atEof(tokenApi)

Are there any more meaningful tokens following the current one?

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input